# BarcodeDocumentFormats class

Barcode document formats.

## Constructors

BarcodeDocumentFormats()
BarcodeDocumentFormats.fromJson(Map<String, dynamic> json)
  factory

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Static Properties

all → List<BarcodeDocumentFormat>
  All barcode document formats.
  final
documentBarcodeFormats → Map<BarcodeDocumentFormat, List<BarcodeFormat>>
  Barcode types that are used to encode documents.
  final